Skip to main content
GET
/
models
List models
curl --request GET \
  --url https://api.prequel.co/models \
  --header 'X-API-KEY: <api-key>'
{
  "status": "<string>",
  "data": {
    "models": [
      {
        "model_name": "<string>",
        "columns": [
          {
            "name_in_source": "<string>",
            "name_in_destination": "<string>",
            "data_type": "<string>",
            "is_primary_key": true,
            "is_last_modified": true
          }
        ],
        "source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "description": "<string>",
        "source_table": "<string>",
        "source_query": "<string>",
        "destination_table_name": "<string>",
        "organization_column": "<string>",
        "skip_transfer_source_validation": false,
        "is_append_only": true,
        "model_validation_id_in_provider_system": "<string>",
        "model_validation_start_time_epoch": "2023-11-07T05:31:56Z",
        "model_validation_end_time_epoch": "2023-11-07T05:31:56Z",
        "model_validation_tags": {}
      }
    ]
  },
  "message": "<string>",
  "has_next": true,
  "next_url": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

model_name
string

Model name. Multiple values can be provided as a comma-separated string.

product_name
string

Product name. Multiple values can be provided as a comma-separated string.

page_size
integer

Number of items to return per page.

order
enum<string>

Sort order for items

Available options:
asc,
desc
cursor
string

Used for pagination - represents last page seen. Value is included in response when there is a next page.

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required
has_next
boolean
required

Whether there are more items beyond this page.

next_url
string

Full URL to fetch the next page. Only present when has_next is true.